#!/bin/bash

if [ x$1 = x--help ]; then
 echo "eintapen is a script for realtime recording from tape"
 echo "eintapen [tapename [voice]]"
 echo "(for voicemode there are shorter tracks but larger gaps allowed)"
 exit;
fi

if [ x$2 = xvoice ]; then
 # Defaulteinstellungen fr catdsp:
 # hier: -L30 -A -G20,
 # d.h. mindestens 30 Sekunden Lnge, 2.0s Pause -> Abbruch
# der Pegel knnte hier auch sollte von Hand eingestellt werden, obwohl
# wir das hier nicht tun...
  CATDSP_ARGS="--samplerate 44100 --raw --line --mixer /dev/mixer -L30 -A -G20 -S1200"
  OGG_QUALITY="-q1"
else 
 # Defaulteinstellungen fr catdsp:
 # hier: -L30 -A -G9,
 # d.h. mindestens 30 Sekunden Lnge, automatischer Pegel, 0.9s Pause -> Abbruch
 CATDSP_ARGS="--samplerate 44100 --raw --line --mixer /dev/mixer -L30 -A -G9 -S1400"
 OGG_QUALITY="-q3"
fi

if  [ x$3 != x ]; then
 echo "setting ogg-vorbis quality to: " $3
 OGG_QUALITY=$3
fi

# Defaulteinstellungen fr ogg:
OGG_ARGS="-Q --raw -B16 -C2 -R44100 $OGG_QUALITY"

echo "OGG-ARGS: " $OGG_ARGS

if [ x$1 = x ]; then TRACK=Track; else TRACK=$1; fi

index=1;

# for the first track you may wish to set a different noise threshold
catdsp $CATDSP_ARGS -T850 | oggenc $OGG_ARGS - -o $TRACK.01.ogg

while [ $index -lt 99 ]; do
 index=$(( $index + 1 ))
 i=`printf "%02i" $index`
 catdsp $CATDSP_ARGS | oggenc $OGG_ARGS - -o $TRACK.$i.ogg
done
